PDA

View Full Version : Fedora 15 and LibreOffice 3.4 KDE appearance



NSLW
8th June 2011, 08:50 PM
Hello,
I removed LibreOffice 3.3 provided with Fedora 15 and installed LibreOffice 3.4 from here (http://www.libreoffice.org/download). The problem is that after successful installation I get LibreOffice with GNOME appearance.

I want to get LibreOffice 3.4 with KDE appearance, preferably oxygen, juts like it was with version 3.3. I know that Fedora repository provides libreoffice-kde package but it requires libreoffice-3.3 as dependency .

Thanks for all your answers.

Seve
9th June 2011, 07:22 AM
Description : A plug-in for LibreOffice that enables integration into the KDE desktop environment.

http://koji.fedoraproject.org/koji/buildinfo?buildID=246789

And try installing the libreoffice-kde rpm

And see what happens ?

NSLW
9th June 2011, 01:24 PM
Description : A plug-in for LibreOffice that enables integration into the KDE desktop environment.

http://koji.fedoraproject.org/koji/buildinfo?buildID=246789

And try installing the libreoffice-kde rpm

And see what happens ?

libreoffice-kde 3.4 needs libreoffice 3.4 from rawhide repository and that requires many many packages from rawhide repository which I don't want.

I also tried to unpack libreoffice-kde and place all files in right place but that didn't solve the issue.

Seve
10th June 2011, 05:26 AM
I suspect you will have to patch and compile the source, then install it to achieve the KDE desktop intergration.

If you are not familiar with patching or building rpms, then why not just download one of the latest F16 rpms and install those with yum localinstall *.rpm ?

Of course, first remove what you have now installed.

NSLW
11th June 2011, 07:03 AM
I suspect you will have to patch and compile the source, then install it to achieve the KDE desktop intergration.
I suspect it would take forever on my hardware.


If you are not familiar with patching or building rpms, then why not just download one of the latest F16 rpms and install those with yum localinstall *.rpm ?
Because I will download not only rawhide libreoffice but many many others rawhide packages so I would end up at Fedora rawhide instead of Fedora 15 with rawhide LO 3.4.

BTW.
Is LO 3.4 planed for UpdatesTesting repository?